Skip to main content
GET
Get application

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Path Parameters

id
string<uuid>
required

The application ID.

Response

Application retrieved successfully.

Response model for a bank account application.

id
string<uuid>
required

Unique identifier for the bank account application.

createdAt
string<date-time>
required

When the application was started (UTC).

updatedAt
string<date-time>
required

When the application was last saved (UTC).

applicant
null | object

Applicant information for the bank account.

businessDetails
null | object

Business details associated with the application.

businessOwners
null | object[]

List of business owners associated with the application.

deniedAt
null | string<date-time>

When the application was denied (UTC). Null unless the status is DENIED, and for applications denied before decline times were recorded.

kycVerificationStatus
null | enum<string>

Outcome of the identity/business (KYC) verification for the application, or null when verification has not started. May be non-null before submission: bypass-KYC providers have this pre-approved at creation while the application is still in DRAFT.

Available options:
PENDING,
MANUAL_REVIEW,
APPROVED,
DENIED,
DOCUMENT_VERIFICATION_REQUIRED
organizationId
null | string<uuid>

Identifier of the organization the application has been onboarded under. Null until the application has been verified and the organization created.

status
enum<string>

Current status of the bank account application.

Available options:
DRAFT,
SUBMITTED,
COMPLETE,
DELETED,
CANCELED,
DENIED
submittedAt
null | string<date-time>

When the application was submitted (UTC). Null until it is submitted, and for applications submitted before submit times were recorded.

userId
null | string<uuid>

Identifier of the user created for the applicant during onboarding. Null until the application has been verified and the user created.